Subject: Re: bug#1452: Acknowledgement (23.0.60; Problem with nextstep, longlines-mode,)

From: Andrew Hyatt <[email-masked]>
Date: Mon, 04 Jan 2016 23:10:55 -0500

Harald Hanche-Olsen <[email-masked]> writes:

> Apologies for the noise, but I'v been reading in the elisp manual how
> to get the buffer contents. So here we go again: I create a new
> buffer, enable longlines-mode with longlines-show-hard-newlines turned
> on, and type:  asdf RET asdf
>
> Now (buffer-string) returns
>
> #("asdf
> asdf" 4 5 (hard t rear-nonsticky (hard) display #("¶
> " 0 2 (face escape-glyph))) 5 9 (display #("¶
> " 0 2 (face escape-glyph))))
>
> Disabling longlines-mode and running (buffer-string) again, I now get
>
> #("asdf
> asdf" 4 5 (hard t rear-nonsticky (hard)) 5 9 (display #("¶
> " 0 2 (face escape-glyph))))
>
> I have already described the visual appearance of the buffer in the
> two circumstances.
>
> - Harald

Sorry this bug has been open for so long, in fact it has the rare
privelage of being open for so long the package you are having a problem
with (longlines-mode), no longer is part of emacs.

It has been replaced with visual-line-mode.

I'll close this bug.